/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.datasketches.partitions;

/**
 * This instructs the user about which of the upper and lower bounds of a partition definition row
 * should be included with the returned data.
 */
public enum BoundsRule {

  /**
   * Include both the upper and lower bounds
   */
  INCLUDE_BOTH,

  /**
   * Include only the upper bound but not the lower bound
   */
  INCLUDE_UPPER,

  /**
   * Include only the lower bound but not the upper bound
   */
  INCLUDE_LOWER,

  /**
   * Include none
   */
  INCLUDE_NEITHER;

}
